1

I cannot install the esp_camera library. When I try to add the .zip, I get "does not contain a valid library.

Everything about this ESP-32 Cam seems to rely on that library, and I can't find a way to install from https://github.com/espressif/esp32-camera or any other way.

Thanks.

1 Answer 1

0

It's not a "library" in the way that the Arduino system uses the term. That is, it's not designed to be placed under <sketchbook>/libraries directory way typical Arduino libraries are.

The good news is that you don't need to install it, because you already have it. It comes as part of the SDK files packaged into the ESP32 Arduino core as it is installed through the boards manager.

You'll find the header various places under the <arduino15>/packages/esp32/hardware/esp32/<version-number>/tools/sdk/esp32<architecture>/include/esp32-camera/driver/include/esp_camera.h where arduino15 refers to this, version refers to whatever version of the board package you have installed, and architecture is nothing, or c2, s3, or various other related esp32 suffixes.

The bulk of the code being in <arduino15>/packages/esp32/hardware/esp32/<version>/tools/sdk/esp32<architecture>/lib/libesp32-camera.a

1
  • Thank you. It took a bit of time to grasp the difference between platforms when still using Arduino IDE.
    – brunobhr
    Oct 25, 2023 at 12:22

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.